DOMText
DOMText::isWhitespaceInElementContent
DOMText
PHP Manual

# DOMText::__construct

(PHP 5)

DOMText::__construct — Crée un nouvel objet DOMText

### Description

DOMText
__construct ([ string `$value` ] )

Crée un nouvel objet DOMText.

### Liste de paramètres

`value`

  La valeur du noeud texte. Si aucune n'est fournie, un noeud texte vide est créé.

### Exemples

Exemple #1 Création d'un nouveau DOMText

`<?php
$dom = new DOMDocument('1.0', 'iso-8859-1');
$element = $dom->appendChild(new DOMElement('root'));
$text = $element->appendChild(new DOMText('root value'));
echo $dom->saveXML(); /* <?xml version="1.0" encoding="iso-8859-1"?><root>valeur racine</root> */
?>`

### Voir aussi

- DOMDocument::createTextNode

DOMText
DOMText::isWhitespaceInElementContent
DOMText
PHP Manual